cupstestppd(1)

NAME
cupstestppd - test conformance of ppd files

SYNOPSIS
cupstestppd [ -q ] [-r] [ -v[v] ] filename.ppd[.gz] [ ... filenameN.ppd[.gz] ]
cupstestppd [ -q ] [-r] [ -v[v] ] -

DESCRIPTION
cupstestppd tests the conformance of PPD files to the Adobe PostScript Printer Description file format specification version 4.3. It can also be used to list the supported options and available fonts in a PPD file. The results of testing and any other output are sent to the standard output.

The first form of cupstestppd tests one or more PPD files on the command-line. The second form tests the PPD file provided on the standard input.

OPTIONS
cupstestppd supports the following options:

-q
    Specifies that no information should be displayed.

-r
    Relaxes the PPD conformance requirements so that common whitespace, control character, and formatting problems are not treated as hard errors.

-v
    Specifies that detailed conformance testing results should be displayed rather than the concise PASS/FAIL/ERROR status.

-vv
    Specifies that all information in the PPD file should be displayed in addition to the detailed conformance testing results.

The -q, -v, and -vv options are mutually exclusive.

EXIT STATUS
cupstestppd returns zero on success and non-zero on error. The error codes are as follows:

1
    Bad command-line arguments or missing PPD filename.

2
    Unable to open or read PPD file.

3
    The PPD file contains format errors that cannot be skipped.

4
    The PPD file does not conform to the Adobe PPD specification.

EXAMPLES
The following command will test all PPD files under the current directory and print the names of each file that does not conform:
    find . -name \*.ppd \! -exec cupstestppd -q '{}' \; -print
The next command tests all PPD files under the current directory and print detailed conformance testing results for the files that do not conform:
    find . -name \*.ppd \! -exec cupstestppd -q '{}' \; \
        -exec cupstestppd -v '{}' \;

SEE ALSO
lpadmin(8),
http://localhost:631/help
Adobe PostScript Printer Description File Format Specification, Version 4.3.

COPYRIGHT
Copyright 1997-2006 by Easy Software Products, All Rights Reserved.